commit 4712dcb4877425472a28d3ea130ba4b409637910
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 21 10:09:40 2025 +0200

    Updates for release

commit 1996527bd01d546ee47dd9d7fee6e29e1cdfa37d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon May 5 15:12:09 2025 +0200

    Support absolute icon paths
    
    Related: https://forum.xfce.org/viewtopic.php?id=18538

commit 7380816b40fa4045c0e5c9f7f08cccb123fb593e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Apr 27 20:07:46 2025 +0200

    meson-build: Add GNU visibility files to sources
    
    'link_depends' is not enough, and generate them using configure_file(),
    to be sure they're present in the build directory when including them in
    other source files.
    
    Fixes: #45

commit a9555ede2ada2faf1c25f74d7ed910060dc2a129
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 10 12:46:30 2025 +0200

    I18n: Update po/LINGUAS list

commit aaba17ba2f68771f27dbf109de7b85320586f5fe
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 10 12:46:30 2025 +0200

    I18n: Add new translation ka (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f579358dae5f410351b00d5ac1555793e523b35d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 23 08:37:17 2025 +0100

    autotools-build: Search for xdt-gen-visibility also in the working tree
    
    In anticipation of its copying by xfce-do-release when generating
    tarballs, so as not to need xfce4-dev-tools to build them. Meson takes
    care of all this, from searching the working tree to adding to the
    tarball.
    
    Related: xfce/xfce4-dev-tools!159

commit 9986d6f60d61129938fbda5aa439afceb3705ae6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 22 08:43:54 2025 +0100

    build: Automate copyright year management

commit 39918dd38f72eef2a7ff2cd36d93349dc5c7620a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 16 20:28:29 2025 +0100

    docs: Fix warnings

commit 2311db96922ce9acd3617e7aafbf8e5e29a51671
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 8 16:54:16 2025 +0100

    XfwWindowX11: Fix memory leak

commit cb52e854dfe620a6de91d339bacfa1b6fed07c83
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Feb 25 05:41:03 2025 +0100

    Try to match the app id in lower case to find the .desktop file
    
    This should improve detection of the correct .desktop file in some
    cases, typically on X11 where the class group id is often capitalized,
    but perhaps also on Wayland.
    
    Related: https://gitlab.xfce.org/xfce/libxfce4windowing/-/issues/31#note_102421

commit b1e91e50e472d41e168e6abe0dc94f8cbe1f891c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Feb 21 22:16:51 2025 +0100

    XfwWindowX11: Keep a ref on workspace
    
    When a workspace is destroyed, the windows it contains are moved to the
    previous workspace, and WnckWindow::workspace-changed signals are
    emitted, triggering code execution. As long as a window is on the
    workspace being destroyed, it remains its current workspace and may need
    it.
    
    Fixes: #42

commit e58801e1f8455c928ff133ccde206b105f2bcc01
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 9 17:56:30 2025 +0100

    XfwWnckIcon: Fix wrong compare func
    
    Spotted by @Leonardo541 (GitLab ID).
    
    Fixes: #38

commit 992ccaad6b9b38cfc80a3bed4f304446ad8e3b38
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Feb 8 09:57:54 2025 +0100

    meson-build: Add missing conditional for ext-workspace
    
    Completes: 2df513c434c8f5befec80024739427dfad150c95

commit 1b3523315802fb60d8ad70739b00f812fd348ddb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Feb 7 16:39:48 2025 +0100

    meson-build: Reintroduce tests option
    
    It can be useful to disable test build for this or that reason, provided
    they are built and run in CI by default.
    
    Amends: d493ebcbd61a19a374e668ea133a86978e54e502

commit 402df4bcaa949be1a81bb52585b8a81b764f5382
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Feb 7 16:37:34 2025 +0100

    meson-build: Use SPDX license expression
    
    See https://mesonbuild.com/Reference-manual_functions.html#project_license

commit 82c2186e3dc39f15d3e5ef6bb815da143d3b4b4e
Author: Bobby Rong <rjl931189261@126.com>
Date:   Fri Feb 7 23:09:50 2025 +0800

    meson-build: Specify wayland-scanner as a native dependency
    
    wayland-scanner is supposed to be run natively on the build machine.
    
    Similar to: https://github.com/xkbcommon/libxkbcommon/pull/90

commit 87dabc7503757540b8cd2e8b32536ae4cd388817
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Feb 3 11:39:57 2025 +0100

    meson-build: Update debug/optimization flag management
    
    Related: xfce/xfce4-dev-tools!145

commit 87d208e708870fef80f8341d0c20f4b2ac0ad3d8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 20:27:47 2025 +0100

    Back to development

commit 61af2d3138a3c282d037c4aff4b3aa58bf999ab5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 20:18:28 2025 +0100

    Updates for release

commit 91f9998608f7faa72928d07c61e68b1e8f947dc1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 19:23:23 2025 +0100

    autotools-build: Unconditionally add ext-workspace-v1.xml to EXTRA_DIST

commit 79deb69586f2dc407b7cc467f76abc0b646f00b4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 17:50:20 2025 +0100

    Back to development

commit ad4e231da85beef40e6eef4d3c65c93f86d48035
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 17:36:28 2025 +0100

    Updates for release

commit e37c6e084031466a50e8912367f9019e134ac676
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 17:32:30 2025 +0100

    Update copyright year

commit 005369633f07387f487d07b879e7884ee047baeb
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jan 25 15:49:19 2025 -0800

    Sanity-check the dimensions of the icon data in _NET_WM_ICON
    
    It seems that somehow there are window icons with negative sizes, which
    causes the parsing code to crash as the 'cur' pointer ends up going
    backward into memory not returned by XGetWindowProperty().
    
    It still feels like there's another issue here, because presumably
    libwnck doesn't crash on this, and a quick inspection of their code
    suggests that they don't handle negative values at all.
    
    Closes #37.

commit d493ebcbd61a19a374e668ea133a86978e54e502
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jan 27 09:44:38 2025 +0100

    meson-build: Use meson built-in tests
    
    So that they are all at least compiled during `meson dist` in CI, and
    run for those that can be. Incidentally, you can also simply run
    `meson test [--setup=full --interactive testname]` to launch the tests.

commit debd3cbd491173f35eef8f692fccb1e53bb30769
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 24 15:18:47 2025 +0100

    XfwMonitorX11: Fix connector for virtual output
    
    Based on what is done in gtk3:
    https://gitlab.gnome.org/GNOME/gtk/-/blob/8804279a1c86b7a9a2585eb489efbb3702e5cdef/gdk/x11/gdkscreen-x11.c#L648
    
    Fixes: #36

commit 027106ffec211ffb43bb52a431846d0c23ad6ec2
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Jan 20 23:06:10 2025 -0800

    Use wnck_class_group_get_id() to attempt .desktop file icon fallback
    
    The wnck_class_group_get_name() function uses a heuristic to attempt to
    generate a friendly/display name for the class group, which may not
    actually be the WM_CLASS resource name.  Since we do actually always
    want the WM_CLASS resource name when trying to find the .desktop file
    for the application, we need to use _get_id() instead.
    
    Closes #33

commit 8d610d21af23a8f8a4a45c1542c101c4eea7d817
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jan 20 11:43:41 2025 +0100

    meson-build: Let pkg.generate() fill in required libs
    
    It completes what we put in 'requires' from the dependencies declared in
    library() anyway, by filling in the 'requires_private' field, whose use
    is recommended by default. So we probably don't need to fill this in in
    general: it's one less thing to maintain, and the dependencies we've
    declared public so far should probably have been declared private
    instead.
    
    See-also:
    https://mesonbuild.com/Pkgconfig-module.html
    https://people.freedesktop.org/~dbn/pkg-config-guide.html
    https://stackoverflow.com/a/61674208

commit 565b21c7e104a88a12ddef81e53f8bf01d08d3bd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 17 11:32:10 2025 +0100

    meson-build: Fix pkgdatadir definition
    
    It seems it isn't used for now but it was wrong.

commit 9f58da5e6360e84582ec552e7a24971bb2dd91af
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 17 11:29:12 2025 +0100

    meson-build: Gobject introspection cleanup

commit 472d5f7e1419a6791430c89bc6b1b9613da10f4a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 17 11:21:53 2025 +0100

    meson-build: Use relative path in gtk-doc
    
    So meson searches for source files in the right place by itself (source
    directory or build directory). meson.project_source_root() prevents it
    from doing so, while meson.current_source_dir() is simply useless. Meson
    0.56 is still required because meson.project_source_root() is also used
    elsewhere.
    
    Related: xfce/libxfce4util#30

commit 2eb9f85211e94fce2b47f554dae05ba521129cd5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 15 09:48:11 2025 +0100

    meson-build: Improve maintainability of multi-dependency features

commit efd845f84981680885f62ca8e9d29d83eb9b0e13
Author: Erkki Moorits <erkki.moorits@mail.ee>
Date:   Thu Jan 9 10:52:06 2025 +0200

    Removed extra ';' in source code.

commit f970959328a9eaefa5eaecf15f5d58d9bc61e818
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 7 12:55:50 2025 +0100

    build: Remove ununsed conditional

commit c825c555635adcb83c371984694443a576c3d624
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jan 6 12:45:57 2025 +0100

    I18n: Update po/LINGUAS list

commit 816cab993048d1299c4a2c24a30404b5f613de1d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jan 6 12:45:57 2025 +0100

    I18n: Add new translation sk (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 56020342bbf80eaa7a1c7243380568383318708c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jan 6 10:11:53 2025 +0100

    docs: Don't run gtkdoc-check
    
    It's too demanding, we don't usually respect this (*--undocumented.txt
    and *-undeclared.txt should be empty).
    
    Related: xfce/libxfce4util!54

commit 930c32a24da39bc461cc51422a06609512a45b68
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 31 18:59:19 2024 +0100

    XfwWorkspaceWayland: Ensure active workspace is initialized

commit c292257b511d4601d5d64051042ea90e7b9f92d2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 31 18:58:37 2024 +0100

    XfwWorkspaceManagerWayland: Fix typo
    
    Fixes a crash when removing a workspace.

commit 0b116fd9211e16f4030f12cd9a0602c405d76207
Author: Johan Malm <jgm323@gmail.com>
Date:   Mon Dec 30 18:10:22 2024 +0000

    XfwWorkspaceWayland: fix ext-workspace activate
    
    ...by adding missing commit to enable compositor workspaces to be switched
    using the xfce4-panel 'Workspace Switcher' plugin.
    
    Without this fix the plugin would correctly indicate the current
    workspace, but switching did not work by clicking on the plugin.
    
    Do the same to the remove and assign_to_workspace_group handlers.
    
    Helped-by: Consolatis
    Written-by: @Tamaranch

commit 560bec132ed1574687ac1b298251f62f5837b70e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 29 16:58:15 2024 +0100

    XfwWorkspaceWayland: Store name property

commit bb368d007a0cdb70d2fe187f758b5a6400993441
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 29 16:57:10 2024 +0100

    XfwWorkspaceWayland: Properly set id property
    
    Completes: 2df513c434c8f5befec80024739427dfad150c95

commit 93b2bf2f98e009596e3ac34d73b78d825f655a5d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 29 16:41:11 2024 +0100

    XfwWorkspaceGroupWayland: Fix wrong list element removal
    
    Causes a segfault at startup in xfce4-session.

commit 2df513c434c8f5befec80024739427dfad150c95
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 26 18:03:38 2024 +0100

    Update ext-workspace protocol version
    
    This may require further corrections to take account of new properties.
    This fix just allows you to compile and not segfault at startup with
    xfce4-panel.
    
    Also, the conditional part for the meson build is missing, allowing you
    to use the installed version of ext-workspace-v1.xml if available.

commit 6b468ecc119dd54bb49f98a43c879c5451519b44
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 26 18:01:25 2024 +0100

    XfwWorkspaceWayland: Add missing sanity check
    
    It seems that the group can legitimately be NULL in some cases. If it
    shouldn't, the fix needs to be adapted.

commit 54cea3bbc436cb19a84b8017d8536363b377aa5e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 26 18:00:00 2024 +0100

    XfwWorkspaceManagerWayland: Fix typo

commit 81b4893b27a3581b098a3e359aee439f48035131
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 26 17:58:28 2024 +0100

    XfwWorkspaceGroupWayland: Add missing property and private struct

commit 9e9a484255402f45e962ef5b43ccc5b91ab4a4e5
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 22 00:45:49 2024 +0100

    I18n: Update translation hu (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 421a2507fb5372916189cecbf4f2e0cd635224cd
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 18 00:46:01 2024 +0100

    I18n: Update translation ro (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f83eadb5edadd31911e600546d901ebb4bdd314a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 17 12:46:39 2024 +0100

    I18n: Update po/LINGUAS list

commit 68fd8d0e1c3c93283087f3113532b4a806ce3da5
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 17 12:46:39 2024 +0100

    I18n: Add new translation hu (57%).
    
    11 translated messages, 8 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b730054aae0856db8bb2ed4ac656465ca1dcce66
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 15 09:28:09 2024 +0100

    Back to development

commit 302d019d4c5c814e6898dab27c7536d05bd223bb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 15 09:17:08 2024 +0100

    Updates for release

commit 34502872d19c0bc2f692bfe403046cd46051ad72
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 3 00:45:46 2024 +0100

    I18n: Update translation fi (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 539e01c47289c954fbb39606a6e2ddd07dca35b2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 1 05:49:43 2024 +0100

    Back to development

commit b639099024d82e99eee090327d391a71e20a1ac2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 1 05:37:37 2024 +0100

    Updates for release

commit 9aaf71934584029c2f9d3d2ef32eafbfd6d8968b
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 13 00:45:59 2024 +0100

    I18n: Update po/LINGUAS list

commit 71700c5c666bec46a496569de9e83e1db85f1592
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 13 00:45:59 2024 +0100

    I18n: Add new translation gl (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a1022fb40bdf88f66cc7352f7653b30c03a4dd76
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Fri Nov 8 18:34:30 2024 -0500

    Fix XfwMonitor leak in steal_monitor_by_connector

commit e419118fcf33d96685b01513063ae2bf40ee65e4
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 3 00:45:53 2024 +0100

    I18n: Update translation cs (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a47ba7c42fdf1405612371aff601690f2e7b466a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Nov 1 15:13:45 2024 +0100

    Back to development

commit 47d854fdf0ee956864a8852f603237e68a4a6b0c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Nov 1 14:48:37 2024 +0100

    Updates for release

commit 15b12570424d00af09891fffb264a5190895eb9a
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Tue Oct 22 20:26:51 2024 -0400

    Fix leak of seats GList

commit 49d7349fd207aa87e819ecac67408415240cf51d
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Oct 22 14:16:01 2024 -0700

    Back to development

commit 0f6ad99fa3aa0341ffa50555baa7d064ccd8788d
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Oct 22 13:37:11 2024 -0700

    Updates for release

commit 7b4f77e8cd208ea4b12823db3bcf346b3c817f91
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Oct 21 12:57:01 2024 -0700

    Clean up xsettings client & work around GDK swallowing events
    
    GDK returns GDK_FILTER_REMOVE on its GdkWindow event filters when it
    gets a change to the XSETTINGS manager selection, as well as when it
    sees a change to the _XSETTINGS_SETTINGS property.  I have no idea why
    it does that, and it's incredibly frustrating.
    
    There's a workaround, though: GDK supports "default" window filters,
    where if you pass NULL for the window to gdk_window_add_filter(), it
    will pass *all* events to your filter function.  These default filters
    run before the window-specific filters run, so we can see the xsettings
    changes before GDK has a chance to see them and prevent us from seeing
    them.
    
    Closes #28

commit 06963875294866dc49eb206f776c8e9592d708b8
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 17 22:23:50 2024 -0700

    Remove private sources from the public sources list

commit cd7f89edce2009ed9667f93ef715eefc3ecd35cd
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Oct 9 11:49:51 2024 -0700

    Back to development

commit 64f5033051d5fb77bdb1419d14f1ae2665aad59a
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Oct 9 11:44:22 2024 -0700

    Updates for release

commit 87912eb773923ad79fca703776dae60bf4f8f446
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Oct 9 10:48:07 2024 -0700

    Fix missing parent instance in XfwSeatWayland
    
    Closes #27

commit bab96e5cf76999dd70f2de25705cbd1358983f70
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Oct 7 04:04:38 2024 -0700

    Add XfwWindowListMenu widget
    
    This is mostly taken from the xfdesktop code, but the styling is more
    like the xfce4-panel window-menu plugin.  It also includes the union of
    the features supported by both.
    
    The menu currently does not auto-update in an efficient way.  Every time
    the menu is re-shown, it is re-populated.  The only exception is that if
    a window is destroyed while the menu is being shown, the menu item for
    it will be removed.
    
    Closes #20

commit 2bf9c172f84e92f3117ffa10e131aa8ebbddd295
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Oct 6 16:07:35 2024 -0700

    Remove the "(constructor)" annotation on xfw_screen_get_default()
    
    Apparently that's just for functions that create an instance of the
    specific class the function is associated with.  In our case, XfwScreen
    is an abstract class and can't be instantiated.
    
    At the very least the Vala compiler doesn't like this, and leaves out
    _get_default() entirely in its bindings.
    
    Closes #25

commit 10ec98e64636e4fffd6a24710a52fe8c49aabe2e
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Oct 7 03:37:29 2024 -0700

    Fix crash on workspace add/remove after XfwWindowActionMenu destroyed

commit 101810176aab765a630e432d67fc4234b94ba34a
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Oct 7 00:38:45 2024 -0700

    Make XfwWindowAction menu struct private
    
    Not sure why it wasn't already; it's declared as a final type, and
    there's no reason to make the contents of the struct public, or use a
    ->priv pointer.

commit 6d079d613b2db530bbd5fca67fdab122664d8958
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Oct 6 23:54:19 2024 -0700

    Back to development

commit b612017a536b27e1e9b33aee4b404b56c66fb363
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Oct 6 23:49:13 2024 -0700

    Updates for release

commit 7d4f44616f24474c679673fab51689bab798e5a8
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Oct 6 23:45:49 2024 -0700

    Actually export xfw_screen_get_seats from the library

commit b1d0c1e099f480941dddcf371f296b29d27988e7
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 16:51:49 2024 -0700

    Add XfwSeat abstraction
    
    This is only used for xfw_window_activate() so far.
    
    Closes #26

commit ee229f83623ab0422c9c2b89631d795f6d81c704
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Oct 3 16:03:46 2024 +0200

    build: Adjust Wayland requirements for Xfce 4.20

commit c81b193417b4410c2b99f082608b64f0a37c6fcc
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 06:11:19 2024 -0700

    Back to development

commit d126272b79b9e1e489ef1e9570a4a093d22885c8
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 06:08:45 2024 -0700

    Updates for release

commit 7a864c302c594cef564a68d4d562f3faf271648c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 03:12:48 2024 -0700

    Add more compiler flags to the meson build

commit b4ef3be732eab2f00b6de042a32b15b28abe1334
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 3 00:36:49 2024 -0700

    Use physical geometry when comparing X11 window geometry to monitor
    
    libwnck reports window geometry in unscaled physical pixels, so we need
    to compare with the monitor's physical pixels in order to tell if the
    window is on that monitor.
    
    This does raise a question: should the window geometry reported through
    the API report physical or logical pixels?

commit 3b2ecd61f55c8c26fc072ca6cee9f39880422f61
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Oct 2 18:00:52 2024 +0200

    build: Bump requirements for Xfce 4.20

commit 4c0832d3b436a9bfd9d9a84f41ee56eb2ae587cd
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Oct 2 05:28:45 2024 -0700

    Include meson build files in autotools dist tarball

commit b84cc6056c5434953a9ed83286bfad61cb72914b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 20 04:02:39 2024 -0700

    Set up GNU symbol visibility

commit 909cf3cd07e08fa38d95098b0bec9f2333541680
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 20 03:55:19 2024 -0700

    Ditch maintainer mode

commit f6e9c2330fd091737bd22536524f241cacb91aec
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 20 03:41:59 2024 -0700

    Suppress spurious uninitialized var warning

commit 0a397a4267c52e19c4cdac6dd018f818d36fa380
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 20 03:37:53 2024 -0700

    Make window listener struct static

commit ce9f350a107cccf2a6efeb1b922600842eb45666
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 20 01:12:13 2024 -0700

    Update meson build
    
    Updates from our xfce4-dev-tools template

commit 3abc9bc6e5ee079bdde99a3e95f98b32ec5e045b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 27 10:48:21 2024 -0700

    Bump C std from gnu99 to gnu11
    
    This gets rid of typedef redefinition warnings in libwnck's headers.
    And in general we are using C11 anyway, and shouldn't feel constrained
    by a 25-year old standard.

commit ce794248509eb7f289703a05dd1798b08d0b7a00
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 27 10:31:05 2024 -0700

    meson: fix missing checks for x11 and wayland feature detection
    
    Closes #24

commit 7308fe69deebbb47bde52974a3400d0a9dc7c11e
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Sep 13 15:39:37 2024 -0700

    Fix physical monitor height not getting set on X11

commit 68079cac43fbe883e3c81fa5599186843985e651
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Sep 12 21:17:58 2024 -0700

    Ensure private symbols don't end up in the introspection file

commit 45c7616fd22ae5713b983f744ccbb3763867ef33
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Sep 12 21:09:01 2024 -0700

    autotools: don't build tests by default

commit 956a69c18758165fd7ad5ddb8212b2ca3d8d44d3
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Sep 3 14:32:37 2024 -0700

    Print monitor ID in xfw-enum-monitors test app

commit 72816310085ff3b6f7a6b5b84b2fdeefdc6fe5f9
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Sep 2 19:55:54 2024 -0700

    Try to make monitor IDs stable between X11 and Wayland

commit 709948e5762236e71f97e2adb274c7f7a13c9b1d
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Aug 27 02:08:49 2024 -0700

    Move xrandr event base into XfwMonitorManagerX11
    
    Gets rid of a global and the need for a GOnce.

commit e4032cf2dbeba95eddacb96521b24498ee96da72
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Aug 27 02:02:08 2024 -0700

    Fetch X11 scale factor from XSETTINGS, not GDK
    
    If we have no monitors, then gdk_display_get_monitor(dpy, 0) will return
    NULL, and we won't be able to get the scale factor.

commit 1a04e4fbc260aa1350decf4e42eb7b4be9c6bfd4
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Aug 26 22:54:58 2024 -0700

    Fix monitor workarea setting when monitors appear

commit 3961f57b2c802c27d3cdc4c39fd28edc52c21f51
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Aug 23 15:05:32 2024 -0700

    Back to development

commit ed682b081c47531695f8b4f78be333c52e8cb3fa
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Aug 23 15:03:08 2024 -0700

    Updates for release

commit feb173aecce6b8ffe5bfa1ae8d73bcbbbac66085
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Aug 23 13:59:56 2024 -0700

    Add tests/Makefile.am

commit a9b4ff4298220d5b5b639f11a3043c39486bb19e
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Aug 2 16:09:24 2024 -0700

    x11: refresh monitors in an idle function
    
    This avoids redundant work when the X server sends several RRNotify
    events in quick succession.

commit 471ee5b9081f605c302cd07bfcb6875de158d3ed
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 25 00:45:57 2024 +0200

    I18n: Update po/LINGUAS list

commit 7a935bfed7d44ed04c5b6cdaac8e374d0e64a602
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 25 00:45:56 2024 +0200

    I18n: Add new translation ast (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ebef7159290c03ad0c40c8b9f4de29aaec54fdfb
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 13 22:22:18 2024 -0700

    Add a couple small test programs

commit 5a3648f6d1e728babe842cad43fea1673f706130
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 13 20:34:25 2024 -0700

    Defer binding to the toplevel manager until after we have the outputs
    
    Compositors (at least wlroots) will not re-send toplevel output_enter
    events later on when we bind to and finalize our own wl_output handles,
    so we'll completely miss these events on startup and not know the
    initial state of the windows.

commit e3dadd84324fdf6389d87dbc239a31a00c6195ea
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 13 20:20:58 2024 -0700

    Add debug logging to toplevel output_enter/leave

commit b9f5fad7b2b87d7e4464581d4bf2edbbe32eba76
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 13 19:46:21 2024 -0700

    Add debugging when finalizing output properties

commit ee1bfb462cd75bd177456813df441a12bed2431b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 13 14:29:44 2024 -0700

    Add a few more display synchronization points in the wayland code

commit d6a58e61055e97ee346a0c5c263b0ba7a1b496d4
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 13 14:28:41 2024 -0700

    Reset XfwMonitorWayland output_done/xdg_output_done count on finalize

commit 575d61d37e7bb6d8b9d9b7ce801273ecb1bb7405
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Jul 12 19:41:51 2024 -0700

    Add XfwMonitor:fractional-scale

commit 6d2ab8309bb8fa43f7a42121147c64c83903c591
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Jul 12 18:53:17 2024 -0700

    Add primary monitor fallback guessing to X11 too

commit c7f32f0969edad2cb8cd19f843825bedb801b53b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Jul 12 16:15:40 2024 -0700

    Remove extra wl_registry for the wayland monitor management
    
    It now shares the one in XfwScreen

commit 9f835253ae39c83188c0f34a9df0dc90686e11ca
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Jul 12 15:41:07 2024 -0700

    Remove extra wl_registry for the wayland workspace manager
    
    It now shares the one in XfwScreen

commit 3c4a53b80417e5e961991066e285d4fade3fcc9e
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Jul 12 15:16:43 2024 -0700

    Fix missing wl_output & xdg_output assignment in XfwMonitorWayland

commit 568ea7451205a569c2c60ff9510bd834850943ac
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jul 11 03:01:42 2024 -0700

    Add workarea info and tracking to XfwMonitor

commit 3ab7bd92b79329039c31cb6196d99d6a8d8d0cf5
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 6 14:27:28 2024 -0700

    Use XfwMonitor instead of GdkMonitor throughout
    
    This changes the following from being/returning GdkMonitor instances to
    returning XfwMonitor instances:
    
    * XfwWindow:monitors
    * xfw_window_get_monitors()
    * XfwWorkspaceGroup:monitors
    * xfw_workspace_group_get_monitors()
    * XfwWorkspaceGroup::monitor-added
    * XfwWorkspaceGroup::monitor-removed
    
    Additionally, the GdkScreen used to be passed down into some of the
    class instances, and were exposed as properties.  Now these are
    XfwScreen instances instead:
    
    * XfwWorkspaceManager:screen
    * XfwWorkspaceGroup:screen
    
    For consistency, XfwScreen:screen has been renamed to
    XfwScreen:gdk-screen.

commit c79b90837f6d1c213812c9e4bd3c7ee115663579
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 6 13:56:07 2024 -0700

    Add XfwScreen::monitor-added and XfwScreen::monitor-removed

commit 93aed4fa4e1ebc4dfd294b0f73e182138dac61a3
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jul 11 14:11:14 2024 -0700

    Fix 'Since' doc tag typos

commit 067f9b07ea697630b18e069bad8ad73f487c2713
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Jul 11 01:27:13 2024 -0700

    Don't g_warning() if xrandr returns no monitors
    
    This happens sometimes, perhaps on suspend/resume, and isn't fatal.

commit 4b292b22611c935fa9c8bb91f179fc9490839b5f
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sat Jul 6 05:14:49 2024 -0700

    Add xfw_monitor_get_gdk_monitor()
